Bug 839577 - The "Calender VIew" page displayed overlapped on Iphone 4S.
The "Calender VIew" page displayed overlapped on Iphone 4S.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Steve Goodwin
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 06:58 EDT by Mengjiao Gao
Modified: 2015-05-14 21:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:50:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
There are some overlapped part in the page (132.47 KB, image/png)
2012-07-12 06:58 EDT, Mengjiao Gao
no flags Details

  None (edit)
Description Mengjiao Gao 2012-07-12 06:58:05 EDT
Created attachment 597765 [details]
There are some overlapped part in the page

Description of problem:
When I use Iphone 4S to check the "Calender VIew" in /community/events page, I found that there are some overlapped part in the page.

Version-Release number of selected component (if applicable):
devenv-stage_223

How reproducible:
always

Steps to Reproduce:
1.go to /community/events page
2.click "Calendar View" button.
3.
  
Actual results:
There are some overlapped part in the page

Expected results:
It should display no problem.

Additional info:
Comment 1 Steve Goodwin 2012-09-11 13:52:18 EDT
Though it's not optimal that the events calendar table extends wider than the page when viewed on a mobile device (portrait orientation ~320px), still the page content is accessible, either by sliding horizontally or by rotating the device to a landscape orientation (~480px). 

If we decide to improve this, it would mean detecting when the browser viewport width is less than 480px and rendering the content in a non-calendar (linear) layout.
Comment 2 Yujie Zhang 2012-09-18 23:23:51 EDT
(In reply to comment #1)
Tested this issue on devenv_2194 and PROD, the calendar view is still not supported well on IPhone4S, hope we could improve this, thanks.
Comment 3 Mengjiao Gao 2012-09-29 05:35:55 EDT
Tested this issue on devenv_2252, the issue have been fixed on devenv_2252, So i will put it verified.

Note You need to log in before you can comment on or make changes to this bug.